/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.target.ui;

import org.eclipse.target.ITargetResource;
import org.eclipse.ui.part.Page;

/**
 * An abstract class that implements the {@link ISitePage} interface.
 * Clients may subclass.
 * @see org.eclipse.target.ui.ISitePage
 */
public abstract class SitePage extends Page implements ISitePage {
	
	ITargetResource input;
	
	/* (non-Javadoc)
	 * @see org.eclipse.target.ui.ISitePage#setInput(org.eclipse.target.ITargetResource)
	 */
	public final void setInput(ITargetResource container) {
		input = container;
		inputSet(container);
	}

	/* (non-Javadoc)
	 * @see org.eclipse.target.ui.ISitePage#getInput()
	 */
	public final ITargetResource getInput() {
		return input;
	}
	
	/**
	 * The input has been set to the given container.
	 * Sublcasses may override.
	 * @param container the page input
	 */
	protected void inputSet(ITargetResource container) {
		// Do nothing by default
	}
}
